Bug 1317290 - [abrt] simple-scan: page_view_get_pixel(): simple-scan killed by SIGSEGV
[abrt] simple-scan: page_view_get_pixel(): simple-scan killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:10b563c94e090d806e7ce92909d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 15:50 EDT by Ioan Rogers
Modified: 2016-10-26 16:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 06:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.61 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: cgroup (350 bytes, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: core_backtrace (13.49 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: dso_list (12.42 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: environ (1.81 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: exploitable (82 bytes, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: maps (58.16 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: mountinfo (3.79 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: open_fds (21.68 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: var_log_messages (330 bytes, text/plain)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details
File: simple-scan.trace.tar.gz (52.43 KB, application/octet-stream)
2016-03-13 15:50 EDT, Ioan Rogers
no flags Details

  None (edit)
Description Ioan Rogers 2016-03-13 15:50:06 EDT
Description of problem:
Trying to run simple-scan as a user always segfaults. Works as root.

Version-Release number of selected component:
simple-scan-3.18.2-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        simple-scan
crash_function: page_view_get_pixel
executable:     /usr/bin/simple-scan
global_pid:     7388
kernel:         4.4.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1089600001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 page_view_get_pixel at /home/bob/bzr/simple-scan/3.18/src/page-view.vala:141
 #1 page_view_set_pixel at /home/bob/bzr/simple-scan/3.18/src/page-view.vala:313
 #2 page_view_update_preview at /home/bob/bzr/simple-scan/3.18/src/page-view.vala:502
 #3 page_view_update_page_view at /home/bob/bzr/simple-scan/3.18/src/page-view.vala:533
 #4 page_view_render at /home/bob/bzr/simple-scan/3.18/src/page-view.vala:826
 #5 _book_view_draw_cb_gtk_widget_draw at /home/bob/bzr/simple-scan/3.18/src/book-view.vala:456
 #6 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #7 gtk_widget_draw_marshallerv at gtkwidget.c:985
 #8 _g_closure_invoke_va at gclosure.c:864
 #11 _gtk_widget_draw_internal at gtkwidget.c:6824
Comment 1 Ioan Rogers 2016-03-13 15:50:12 EDT
Created attachment 1135954 [details]
File: backtrace
Comment 2 Ioan Rogers 2016-03-13 15:50:13 EDT
Created attachment 1135955 [details]
File: cgroup
Comment 3 Ioan Rogers 2016-03-13 15:50:14 EDT
Created attachment 1135956 [details]
File: core_backtrace
Comment 4 Ioan Rogers 2016-03-13 15:50:15 EDT
Created attachment 1135957 [details]
File: dso_list
Comment 5 Ioan Rogers 2016-03-13 15:50:16 EDT
Created attachment 1135958 [details]
File: environ
Comment 6 Ioan Rogers 2016-03-13 15:50:17 EDT
Created attachment 1135959 [details]
File: exploitable
Comment 7 Ioan Rogers 2016-03-13 15:50:18 EDT
Created attachment 1135960 [details]
File: limits
Comment 8 Ioan Rogers 2016-03-13 15:50:19 EDT
Created attachment 1135961 [details]
File: maps
Comment 9 Ioan Rogers 2016-03-13 15:50:20 EDT
Created attachment 1135962 [details]
File: mountinfo
Comment 10 Ioan Rogers 2016-03-13 15:50:22 EDT
Created attachment 1135963 [details]
File: namespaces
Comment 11 Ioan Rogers 2016-03-13 15:50:23 EDT
Created attachment 1135964 [details]
File: open_fds
Comment 12 Ioan Rogers 2016-03-13 15:50:23 EDT
Created attachment 1135965 [details]
File: proc_pid_status
Comment 13 Ioan Rogers 2016-03-13 15:50:25 EDT
Created attachment 1135966 [details]
File: var_log_messages
Comment 14 Ioan Rogers 2016-03-13 15:50:26 EDT
Created attachment 1135967 [details]
File: simple-scan.trace.tar.gz
Comment 15 Igor Gnatenko 2016-07-07 06:04:24 EDT
This is old bug, if you still can reproduce it - please reopen.

Note You need to log in before you can comment on or make changes to this bug.